﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace RadGridView_WPF_AR_43
{
	public class MyViewModel : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;

		private ObservableCollection<IClub> clubs1;
		private ObservableCollection<Club> clubs2;
		private ObservableCollection<Player> players;
		private object selectedItem;

		public ObservableCollection<IClub> Clubs1
		{
			get
			{
				if (this.clubs1 == null)
				{
					this.clubs1 = Club.GetIClubs();
				}

				return this.clubs1;
			}
		}

		public ObservableCollection<Club> Clubs2
		{
			get
			{
				if (this.clubs2 == null)
				{
					this.clubs2 = Club.GetClubs();
				}

				return this.clubs2;
			}
		}

		public object SelectedItem
		{
			get { return this.selectedItem; }
			set
			{
				if (value != this.selectedItem)
				{
					this.selectedItem = value;
					this.OnPropertyChanged("SelectedItem");
				}
			}
		}

		protected virtual void OnPropertyChanged(PropertyChangedEventArgs args)
		{
			PropertyChangedEventHandler handler = this.PropertyChanged;
			if (handler != null)
			{
				handler(this, args);
			}
		}

		private void OnPropertyChanged(string propertyName)
		{
			this.OnPropertyChanged(new PropertyChangedEventArgs(propertyName));
		}
	}
}
